Index: trunk/prototype/modules/calendar/js/helpers.js
===================================================================
--- trunk/prototype/modules/calendar/js/helpers.js	(revision 6956)
+++ trunk/prototype/modules/calendar/js/helpers.js	(revision 6996)
@@ -101,16 +101,71 @@
 }
 
-/*
-function listEvents(){
-	var list = $('.fc-header-right').find('.fc-button.fc-button-agendaDay').clone();
+function printNow(){
+
+	var window_print = window.open('','ExpressoCalendar','width=800,height=600,scrollbars=yes');        
+	window_print.document.open();
+
+	var start = $("#calendar").fullCalendar('getView').visStart.getTime()/1000;
+	var end = $("#calendar").fullCalendar('getView').visEnd.getTime()/1000;
+	var criteria = DataLayer.criteria("schedulable:calendar", {'start':start, 'end':end} );
+	
+	var data = DataLayer.get("schedulable:print", criteria);	
+
+	if($("#calendar").fullCalendar('getView').name == "month"){				
+		window_print.document.write(DataLayer.render('templates/calendar_month_print.ejs', {
+			'InfoPage' : $("#calendar").fullCalendar('getView').title,
+			'days' : data
+		} ));
+	}
+	if($("#calendar").fullCalendar('getView').name == "agendaDay"){				
+		window_print.document.write(DataLayer.render('templates/calendar_day_print.ejs', {
+			'InfoPage' : $("#calendar").fullCalendar('getView').title,
+			'days' : data
+		} ));
+	}
+	if($("#calendar").fullCalendar('getView').name == "agendaWeek"){
+		window_print.document.write(DataLayer.render('templates/calendar_week_print.ejs', {
+			'InfoPage' : $("#calendar").fullCalendar('getView').title,
+			'days' : data
+		}));
+		
+		var aux = 0;
+		setTimeout(function(){$(window_print.document).find(".all-day").each(function(){
+			if($(this).height() > aux)
+				aux = $(this).height();
+		});
+		$(window_print.document).find(".all-day").each(function(){
+			$(this).height(aux);
+		});
+		$(window_print.document).find(".all-day-line .write").height(aux);
+		aux = 0;
+		},20);
+	}
+	if($("#calendar").fullCalendar('getView').name == "year"){	
+		window_print.document.write(DataLayer.render('templates/calendar_year_print.ejs', {
+			'html' : $('#calendar .fc-content').html(),
+			'header': $('#calendar').find('.fc-header-center h2').text()
+		} ));
+	}		
+	window_print.document.close();
+	setTimeout(window_print.print(), 300);
+}
+
+function printEvents(){
+	//var html = DataLayer.render( path + 'templates/attendee_permissions.ejs', {} );
+	var print = $('.fc-header-right').find('.fc-button.fc-button-agendaDay').clone();
+
 	$('.fc-header-right').find('.fc-button-year').toggleClass('fc-corner-right');
-	list.addClass('fc-corner-right');
-	list.addClass('fc-button-listagem');
-	list.removeClass('fc-button-agendaDay');
-	list.removeClass('fc-corner-left');
-	list.find('.fc-button-content').html('Listagem');
-	$('.fc-header-right').append(list);
-}
-*/
+	print.addClass('fc-corner-right');
+	print.addClass('fc-button-print');
+	print.removeClass('fc-button-agendaDay');
+	print.removeClass('fc-corner-left');
+	print.find('.fc-button-content').html('Imprimir');
+	$('.fc-header-right').append(print);
+	$('.fc-button-print').click(function(){
+	    alert('A tela de impressão será melhor visualizada com a preferência "Paisagem" do seu browser selecionada.');
+	    printNow();
+	});
+}
 
 /*
@@ -122,4 +177,7 @@
 function eventDetails( objEvent, decoded, path, isMail, repeat)
 {
+
+    $('.qtip.qtip-blue').remove();
+
     attendees = {};
 	
@@ -399,5 +457,5 @@
 	modal:true, 
 	autoOpen: false,
-	width:702, 
+	width:701, 
 	position: 'center', 
 	close: function(event, ui) {
@@ -936,9 +994,9 @@
 // load template of attendees
 var blkAddAtendee = UI.dialogs.addEvent.find('#calendar_addevent_details6').append(attendeeHtml);
-if(objEvent.attendee.length)
-    callbackAttendee();
+if(objEvent.attendee.length) 
+	 	callbackAttendee(); 
 /**
-				Opções de delegação do participante/organizer
-			*/		
+Opções de delegação do participante/organizer
+*/		
 blkAddAtendee.find(".button.participant-delegate").button({
     icons: {
@@ -968,7 +1026,7 @@
 
 UI.dialogs.addEvent.find(".attendee-list-add .add-attendee-input input").Watermark("digite um email para convidar");
-/* Trata a edição de um novo participante adicionado
-			* 
-			*/
+/* 
+ * Trata a edição de um novo participante adicionado
+ */
 var hasNewAttendee = false;
 			
@@ -978,5 +1036,4 @@
 			
 blkAddAtendee.find('.attendee-list-add .add-attendee-input input').keydown(function(event) {
-				
     if (event.keyCode == '13' && $(this).val() != '' || (event.keyCode == undefined && $(this).val() != '')) {
 	Encoder.EncodeType = "entity";
@@ -990,18 +1047,18 @@
 
 	/**
-					 * email válido?
-					 */
+	* email válido?
+	*/
 	info.match(/^[\w!#$%&'*+\/=?^`{|}~-]+(\.[\w!#$%&'*+\/=?^`{|}~-]+)*@(([\w-]+\.)+[A-Za-z]{2,6}|\[\d{1,3}(\.\d{1,3}){3}\])$/) ? 
 	newAttendeeEmail = info : newAttendeeName = info;
 
 	/**
-					 * 1) busca no banco para saber se o usuário já existe
-					 *		1.1) se existe, atualiza as info na lista de participantes e nao abre o tooltip
-					 *		1.2) se não existe
-					 *			a) salva como novo usuario externo no banco (apenas com email)
-					 *			b) exibe tooltip pedindo o nome
-					 *			c) se o usuário preenche tooltip e salva, atualiza com o nome o usuário recém criado
-					 *			d) se o usuário cancela o tooltip, fica o usuário salvo apenas com email e sem nome
-					 */
+	* 1) busca no banco para saber se o usuário já existe
+	*		1.1) se existe, atualiza as info na lista de participantes e nao abre o tooltip
+	*		1.2) se não existe
+	*			a) salva como novo usuario externo no banco (apenas com email)
+	*			b) exibe tooltip pedindo o nome
+	*			c) se o usuário preenche tooltip e salva, atualiza com o nome o usuário recém criado
+	*			d) se o usuário cancela o tooltip, fica o usuário salvo apenas com email e sem nome
+	*/
 
 	var user = DataLayer.get('user', ["=", "mail", $(this).val()]);
@@ -1012,11 +1069,11 @@
 					
 	/**
-					 * guarda o último tooltip aberto referente à lista de participantes 
-					 */
+	* guarda o último tooltip aberto referente à lista de participantes 
+	*/
 	lastEditAttendeeToolTip = [];
 
 	/**
-					 * Valida email e salva um participante externo 
-					 */
+	* Valida email e salva um participante externo 
+	*/
 	var saveContact = function() {
 	    Encoder.EncodeType = "entity";
@@ -1192,9 +1249,9 @@
     $(this).val('');
 
-} else if (!skipAddNewLine) {		
+} else if (!skipAddNewLine) {
     /**
-						 * a) salva como novo usuario externo no banco (apenas com email) e...
-						 * adiciona novo contato externo à lista de convidados
-						 */
+     * a) salva como novo usuario externo no banco (apenas com email) e...
+     * adiciona novo contato externo à lista de convidados
+     */
 
     userId = DataLayer.put('user', {
@@ -1285,6 +1342,6 @@
 
 /** 
-			* Trata a busca de usuários para adição de participantes
-			*/
+* Trata a busca de usuários para adição de participantes
+*/
 blkAddAtendee.find('.add-attendee-search .ui-icon-search').click(function(event) {
     blkAddAtendee.find('.add-attendee-search input').keydown();
@@ -1374,4 +1431,5 @@
     }
 });
+
 //$('.block-add-attendee .search-result-list').selectable();
 
@@ -1395,6 +1453,7 @@
                         });
                 });
-                $('.attachment-list input').remove();
-                $('.row.fileupload-buttonbar .attachments-list p').remove();
+                $('div.new-event-win .attachment-list input').remove();
+                $('div.new-event-win .row.fileupload-buttonbar .attachments-list p').remove();
+		$('div.new-event-win .btn-danger.delete').addClass('hidden');
             }
         }});
@@ -1415,130 +1474,6 @@
     text: false
 });
-var maxSizeFile = 2000000;
-$('#fileupload').fileupload({
-    sequentialUploads: true,
-    add: function (e, data) {
-	if(data.files[0].size < maxSizeFile)
-	    data.submit();
-    },
-    change: function (e, data) {
-	$.each(data.files, function (index, file) {
-	    var attach = {};
-	    attach.fileName = file.name;
-	    var ext = file.name.split('.');
-	    if(file.name.length > 10)
-		attach.fileName = ext.length == 1 ? file.name.substr(0, 10) :  file.name.substr(0, 6) + '.' + ext[ext.length -1];
-	    attach.fileSize = formatBytes(file.size);
-	    if(file.size > maxSizeFile)
-		attach.error = 'Tamanho de arquivo nao permitido!!'
-				
-	    $('.attachments-list').append(DataLayer.render(path+'templates/attachment_add_itemlist.ejs', {
-		file : attach
-	    }));
-				
-	    if(file.size < maxSizeFile){
-		$('.fileinput-button.new').append(data.fileInput[0]).removeClass('new');
-		$('.attachments-list').find('[type=file]').addClass('hidden');
-					
-	    }else
-		$('.fileinput-button.new').removeClass('new');
-				
-				
-	    $('.attachments-list').find('.button.close').button({
-		icons: {
-		    primary: "ui-icon-close"
-		},
-		text: false
-	    }).click(function(){
-		var idAttach = $(this).parent().find('input[name="fileId[]"]').val();
-		$('.attachment-list').find('input[value="'+idAttach+'"]')
-		$(this).parent().remove();
-	    });	
-				
-	})
-	},
-    done: function(e, data){
-	var currentUpload = $('.progress.after-upload:first').removeClass('after-upload').addClass('on-complete').hide();
-
-	if(!!data.result && data.result != "[]"){
-	    var newAttach = (attch = jQuery.parseJSON(data.result)) ? attch : jQuery.parseJSON(data.result[0].activeElement.childNodes[0].data);
-	    $('.attachment-list').append('<input tyepe="hidden" name="attachment[]" value="'+newAttach['attachment'][0][0].id+'"/>');
-	    currentUpload.removeClass('on-complete').parents('p')
-	    .append('<input type="hidden" name="fileId[]" value="'+newAttach['attachment'][0][0].id+'"/>')
-	    .find('.status-upload').addClass('ui-icon ui-icon-check');
-	}else
-	    currentUpload.removeClass('on-complete').parents('p').find('.status-upload').addClass('ui-icon ui-icon-cancel');
-    }
-});
-$('.attachments-list .button').button();
-
-if(!!window.FormData)			
-$('#fileupload').bind('fileuploadstart', function () {
-    var widget = $(this),
-    progressElement = $('#fileupload-progress').fadeIn(),
-    interval = 500,
-    total = 0,
-    loaded = 0,
-    loadedBefore = 0,
-    progressTimer,
-    progressHandler = function (e, data) {
-	loaded = data.loaded;
-	total = data.total;
-    },
-    stopHandler = function () {
-	widget
-	.unbind('fileuploadprogressall', progressHandler)
-	.unbind('fileuploadstop', stopHandler);
-	window.clearInterval(progressTimer);
-	progressElement.fadeOut(function () {
-	    progressElement.html('');
-	});
-    },
-    formatTime = function (seconds) {
-	var date = new Date(seconds * 1000);
-	return ('0' + date.getUTCHours()).slice(-2) + ':' +
-	('0' + date.getUTCMinutes()).slice(-2) + ':' +
-	('0' + date.getUTCSeconds()).slice(-2);
-    },
-    /* formatBytes = function (bytes) {
-            if (bytes >= 1000000000) {
-                return (bytes / 1000000000).toFixed(2) + ' GB';
-            }
-            if (bytes >= 1000000) {
-                return (bytes / 1000000).toFixed(2) + ' MB';
-            }
-            if (bytes >= 1000) {
-                return (bytes / 1000).toFixed(2) + ' KB';
-            }
-            return bytes + ' B';
-        },*/
-    formatPercentage = function (floatValue) {
-	return (floatValue * 100).toFixed(2) + ' %';
-    },
-    updateProgressElement = function (loaded, total, bps) {
-	progressElement.html(
-	    formatBytes(bps) + 'ps | ' +
-	    formatTime((total - loaded) / bps) + ' | ' +
-	    formatPercentage(loaded / total) + ' | ' +
-	    formatBytes(loaded) + ' / ' + formatBytes(total)
-	    );
-    },
-    intervalHandler = function () {
-	var diff = loaded - loadedBefore;
-	if (!diff) {
-	    return;
-	}
-	loadedBefore = loaded;
-	updateProgressElement(
-	    loaded,
-	    total,
-	    diff * (1000 / interval)
-	    );
-    };
-    widget
-    .bind('fileuploadprogressall', progressHandler)
-    .bind('fileuploadstop', stopHandler);
-    progressTimer = window.setInterval(intervalHandler, interval);
-});
+
+extendsFileupload('event', path);
 	
 if(objEvent.isShared){
@@ -1557,5 +1492,5 @@
 }
 
-disponibily(objEvent, path, attendees);
+disponibily(objEvent, path, attendees, 'event');
 
 /*Seleciona a agenda padrão para criação de um evento*/
@@ -1573,6 +1508,5 @@
 
 UI.dialogs.addEvent.dialog('open');
-//$('[href="#calendar_addevent_details7"]').trigger('click');
-//$('[href="#calendar_addevent_details2"]').trigger('click');
+
 }
 
@@ -1691,6 +1625,8 @@
 
 
-function add_tab_configure_calendar(calendar) 
+function add_tab_configure_calendar(calendar, type) 
 {
+    $('.qtip.qtip-blue').remove();
+
     var calendars = [];
     var signatures = [];
@@ -1698,18 +1634,25 @@
 	var calendarAlarms = [];
 	
-    for (var i=0; i<Calendar.signatures.length; i++) {
-	calendars[i]  = Calendar.signatures[i].calendar;
-	signatures[i] = Calendar.signatures[i];
-	signatures[i].numberDefaultAlarm = signatures[i].defaultAlarms != '' ?  signatures[i].defaultAlarms.length: 0;
-	if (calendar && calendars[i].id == calendar)
-	    previewActiveCalendarConf = i;
-    }
-		
-    if(!(document.getElementById('configure_tab')))
+	for (var i=0; i<Calendar.signatures.length; i++) {
+		if(parseInt(Calendar.signatures[i].calendar.type) == type){
+		   calendars.push(Calendar.signatures[i].calendar);
+		   signatures.push(Calendar.signatures[i]);
+		   length = signatures.length - 1;
+		   signatures[length].numberDefaultAlarm = signatures[length].defaultAlarms != '' ?  signatures[length].defaultAlarms.length: 0;
+		   if (calendar && calendars[length].id == calendar)
+			   previewActiveCalendarConf = length;
+		}
+   }
+	var tab_selector = ['configure_tab', 'configure_tab_group'];	
+    if(!(document.getElementById(tab_selector[type])))
     {
 	$('.positionHelper').css('display', 'none');
 	$('.cal-list-options-btn').removeClass('fg-menu-open ui-state-active');
-	var tab_title = "Configurações de agendas";
-	$tabs.tabs( "add", "#configure_tab", tab_title );
+	if(type == 0){
+		var tab_title = "Configurações de agendas";
+	}else{
+		var tab_title = "Configurações de Grupos";
+	}
+	$tabs.tabs( "add", "#"+tab_selector[type], tab_title );
 		
 	var dataColorPicker = {
@@ -1734,8 +1677,9 @@
 	    DataLayer.render( 'templates/configure_calendars_itemlist.ejs', {
 		user:User, 
+		type:0,
 		calendar:calendars[nowActive], 
 		signature:signatures[nowActive]
 		}, function( form_template ){
-		var form_content = jQuery('.accordion-user-calendars .ui-accordion-content').eq(nowActive).html( form_template ).find('form');
+		var form_content = jQuery('#'+tab_selector[type]+' .accordion-user-calendars .ui-accordion-content').eq(nowActive).html( form_template ).find('form');
 		form_content.find('.preferences-alarms-list .button').button({
 		    text:false, 
@@ -1756,5 +1700,5 @@
 
 		form_content.find('.button-add-alarms').click(function(){
-		    DataLayer.render( 'templates/alarms_add_itemlist.ejs', {}, function( template ){						
+		    DataLayer.render( 'templates/alarms_add_itemlist.ejs', {type: 0}, function( template ){						
 			jQuery('.preferences-alarms-list').append(template)
 			.find('li:last label:eq(0)').remove().end()
@@ -1862,13 +1806,14 @@
 DataLayer.render( 'templates/configure_calendars.ejs', {
     user:User, 
+	type: 0,
     calendars:calendars, 
     signatures:signatures
 }, function( template ){
-    var template_content = jQuery('#configure_tab').html( template ).find('.configure-calendars-win');
+    var template_content = jQuery('#'+tab_selector[type]).html( template ).find('.configure-calendars-win');
     template_content.find('.button').button().filter('.save').click(function(evt){
 	if(calendarAlarms.length)
 		DataLayer.removeFilter('calendarSignatureAlarm', {filter: ['IN','id', calendarAlarms]});	
 	template_content.find('form').submit();
-	$tabs.tabs( "remove", "#configure_tab");
+	$tabs.tabs( "remove", "#"+tab_selector[type]);
 	DataLayer.commit( false, false, function( received ){
 	    delete Calendar.currentViewKey;
@@ -1879,5 +1824,5 @@
 		Calendar.load();
     }).end().filter('.cancel').click(function(evt){
-	$tabs.tabs( "remove", "#configure_tab");
+	$tabs.tabs( "remove", "#"+tab_selector[type]);
     });
 
@@ -1905,5 +1850,5 @@
 	$('.positionHelper').css('display','none');
     $('.cal-list-options-btn').removeClass('fg-menu-open ui-state-active');
-    $tabs.tabs("select", "#configure_tab");
+    $tabs.tabs("select", "#"+tab_selector[type]);
     $('.accordion-user-calendars').accordion( "activate" , previewActiveCalendarConf );
 		
@@ -1913,9 +1858,14 @@
 }
 
-function getSelectedCalendars( reverse ){
+function getSelectedCalendars( reverse, type ){
+	var selector = "";
+	if(type == 0)
+		selector = ".my-calendars";
+	if(type == 1)
+		selector = ".my-groups-task";
     var selecteds = {};
     var cont = 0; 
     jQuery(function() {
-	jQuery(".my-calendars .calendar-view").each(function(i, obj) { 
+	jQuery(selector+" .calendar-view").each(function(i, obj) { 
 	    var check_box = obj;
 	    if( reverse ? !check_box.checked : check_box.checked ) {
@@ -1975,5 +1925,5 @@
 
 function remove_event(eventId, idCalendar){
-    $.Zebra_Dialog('Tem certeza que deseja excluir o evento?', {
+    $.Zebra_Dialog('Tem certeza que deseja excluir?', {
 	'type':     'question',
 	'overlay_opacity': '0.5',
@@ -2029,7 +1979,11 @@
 
 
-function remove_calendar(){
+function remove_calendar(type){
     /* Pode ser assim $('.cal-list-options-btn.ui-state-active').attr('class').replace(/[a-zA-Z-]+/g, ''); */
-    $.Zebra_Dialog('Todos os eventos desta agenda serão removidos. Deseja prosseguir com a operação?', {
+	if(!!parseInt(type))
+		var title = 'Todas as tarefas deste grupo serão removidas. Deseja prosseguir com a operação?';
+	else
+		var title = 'Todos os eventos desta agenda serão removidos. Deseja prosseguir com a operação?';
+    $.Zebra_Dialog(title, {
 	'type':     'question',
 	'overlay_opacity': '0.5',
@@ -2047,5 +2001,5 @@
 		    delete Calendar.currentViewKey;
 		    Calendar.load();
-		    refresh_calendars();
+		    refresh_calendars(type);
 		});
 	    }
@@ -2056,5 +2010,5 @@
 }
 
-function refresh_calendars(){
+function refresh_calendars(type){
 
     var colorsSuggestions = colors_suggestions();
@@ -2091,19 +2045,30 @@
 		});
 	}
+	
 	doMenu();
+	var currentToolTip = null;
 	$('#divAppbox').on('scroll',function(){
 		if ($('.cal-list-options-btn.fg-menu-open.ui-state-active')){			
 			var offset = $('.cal-list-options-btn.fg-menu-open.ui-state-active').offset();
 			if (offset)
-				$('.positionHelper').css('top',offset.top);
+			    $('.positionHelper').css('top',offset.top);
 		}
+
 		if ($('.button.config-menu.fg-menu-open')){
 			var offset = $('.button.config-menu.fg-menu-open').offset();
 			if (offset)
-				$('.positionHelper').css('top',offset.top);
+			    $('.positionHelper').css('top',offset.top);
 		}		
+
+		
+		if ($(".new-group.qtip-active").length || $(".new-calendar.qtip-active").length)			
+		    $('.qtip-active').css('top',currentToolTip.offset().top - 50);
+		
 	});
+	
 	$('ul.list-calendars .cal-list-options-btn').on('click',function(){doMenu();});         
 	
+
+    /***************************************New Calendar***************************************/
 	meu_container.find(".button.new-calendar").button({
 	    icons: {
@@ -2112,131 +2077,149 @@
 	    text: false
 	}).click(function () {
-		
-	    if( $('.qtip.qtip-blue.qtip-active').val() !== ''){
-		$(this).qtip({
-		    show: {
-		    ready: true, 
-	    solo: true, 
-	    when: {
-		    event: 'click'
-		    }
-		},
-		hide: false,
-		content: {
-		text: $('<div></div>').html( DataLayer.render( 'templates/calendar_quick_add.ejs', {} ) ), 
-		title: {
-		text:'Nova Agenda', 
-		button: '<a class="button close" href="#">close</a>'
-		}
-		},
-		style: {
-		name: 'blue', 
-	    tip: {
-		corner: 'leftMiddle'
-		}, 
-	    border: {
-		width: 4, 
-	    radius: 8
-		}, 
-	    width: {
-		min: 230, 
-	    max:230
-		}
-	    },
-	    position: {
-	    corner: {
-	    target: 'rightMiddle',
-	    tooltip: 'leftMiddle'
-	    },
-	    adjust: {
-	    x:0, 
-	    y:-12
-	    }
-	    }
-	    })
-	.qtip("api").onShow = function(arg0) {
-	    $('.qtip-active .button.close').button({
-		icons: {
-		    primary: "ui-icon-close"
-		},
-		text: false
-	    })
-	    .click(function(){
-		meu_container.find(".button.new-calendar").qtip('destroy');
-	    });
-	    //TODO emplementar tratamento de duplicação de valores no location
-	    $('.qtip-active .button.save').button().click(function(){
-		for(var i = 0; i < Calendar.calendars.length; i++){
-		    if(Calendar.calendars[i].location == ( User.me.uid + '/' + $('.qtip-active input').val())){	
-			$.Zebra_Dialog('O nome desta agenda já está sendo utilizada em uma Url de outra agenda. Por favor, informe outro nome para agenda.',{
-			    'overlay_opacity': '0.5',
-			    'type': 'warning'
-			});
-			meu_container.find(".button.new").qtip('destroy');
-			return;
-		    }
-		}
+		currentToolTip = $(this);
+        var typeCalendar = !!parseInt($(this).attr('class').match(/[0-9]+/g)) ? 
+            {type: 'new-group', title: 'Novo Grupo', typeValue: 1, prompt: 'Nome do grupo'} : 
+            {type: 'new-calendar', title: 'Nova Agenda', typeValue: 0, prompt: 'Nome da agenda'}
+		
+	    if(!$('.qtip.qtip-blue.qtip-active.'+typeCalendar.type).length){
+
+            $('.qtip.qtip-blue').remove();
+
+    		$(this).qtip({
+				show: {
+    		       ready: true, 
+    	           solo: true, 
+    	           when: {
+    		          event: 'click'
+    		       }
+    		    },
+    		  hide: false,
+    		  content: {
+        		  text: $('<div></div>').html( DataLayer.render( 'templates/calendar_quick_add.ejs', {} ) ), 
+        		  title: {
+        		      text: typeCalendar.title, 
+        		      button: '<a class="button close" href="#">close</a>'
+        		  }
+        		},
+    		  style: {
+        		  name: 'blue', 
+        	      tip: {
+        		      corner: 'leftMiddle'
+        		  }, 
+            	   border: {
+                	   width: 4, 
+                	   radius: 8
+        		  }, 
+        	      width: {
+        		      min: 230, 
+        	          max:230
+        		  }
+        	    },
+    	       position: {
+        	       corner: {
+        	           target: 'rightMiddle',
+        	           tooltip: 'leftMiddle'
+        	       },
+        	       adjust: {
+                	    x:0, 
+                	    y: -12
+						
+        	       }
+        	    }
+    	    })
+        	.qtip("api").onShow = function(arg0) {
 				
-		var selected;
-		var color = $('.cal-colors-options-btn').each(function(index){
-		    if ($(this).is('.color-selected'))
-			selected = index;
-		});
-		DataLayer.put( "calendarSignature", {
-		    user: User.me.id,
-		    calendar: {
-			name: Encoder.htmlEncode($('.qtip-active input').val()),
-			timezone: User.preferences.timezone				
-		    },
-		    isOwner: 1,
-		    fontColor: colorsSuggestions[selected]['font'].substring(1) ,
-		    backgroundColor: colorsSuggestions[selected]['background'].substring(1) ,
-		    borderColor: colorsSuggestions[selected]['border'].substring(1)
-		});
-		DataLayer.commit( false, false, function( received ){
-		    delete Calendar.currentViewKey;
-		    Calendar.load();
-		    refresh_calendars();
-		});
-		meu_container.find(".button.new").qtip('destroy');
-	    });
-			
-	    $('.qtip-active .button.cancel').button().click(function(){
-		meu_container.find(".button.new").qtip('destroy');
-	    });
-			
-	    $(".qtip-active input").Watermark("Nome da agenda");
-			
-	    $('.qtip-active').keydown(function(event) {
-		if (event.keyCode == '27') {
-		    meu_container.find(".button.new").qtip('destroy');
-		}
-	    });
-			
-	    $('.colors-options').prepend(buttons_colors);
-	    $('.colors-options .signed-cal-colors-options-btn-0').addClass('color-selected');
-					
-	    var buttons = $('.cal-colors-options-btn').button();
-			
-	    buttons.click(function(){
-		buttons.removeClass('color-selected');
-		$(this).addClass('color-selected');
-	    });
-	}				
-	}
+        	    $('.qtip-active .button.close').button({
+        		  icons: {
+        		      primary: "ui-icon-close"
+        		  },
+        		  text: false
+        	    })
+        	    .click(function(){
+        		      $('.qtip.qtip-blue').remove();
+        	    });
+        	    
+                 $('.qtip-active').addClass(typeCalendar.type);
+
+        	    $('.qtip-active .button.save').button().click(function(){
+                    if(!typeCalendar.typeValue)
+                		for(var i = 0; i < Calendar.calendars.length; i++){
+                		    if(Calendar.calendars[i].location == ( User.me.uid + '/' + $('.qtip-active input').val())){	
+                    			$.Zebra_Dialog('O nome desta agenda já está sendo utilizada em uma Url de outra agenda. Por favor, informe outro nome para agenda.',{
+                    			    'overlay_opacity': '0.5',
+                    			    'type': 'warning'
+                    			});
+                    			$('.qtip.qtip-blue').remove();
+                    			return;
+                		    }
+                		}
+        				
+            		var selected;
+            		var color = $('.cal-colors-options-btn').each(function(index){
+            		    if ($(this).is('.color-selected'))
+            			 selected = index;
+            		});
+            		DataLayer.put( "calendarSignature", {
+            		    user: User.me.id,
+            		    calendar: {
+            			name: Encoder.htmlEncode($('.qtip-active input').val()),
+            			timezone: User.preferences.timezone,
+                        type: typeCalendar.typeValue			
+            		    },
+            		    isOwner: 1,
+            		    fontColor: colorsSuggestions[selected]['font'].substring(1) ,
+            		    backgroundColor: colorsSuggestions[selected]['background'].substring(1) ,
+            		    borderColor: colorsSuggestions[selected]['border'].substring(1)
+            		});
+            		DataLayer.commit( false, false, function( received ){
+            		    delete Calendar.currentViewKey;
+            		    Calendar.load();
+            		    refresh_calendars();
+            		});
+            		$('.qtip.qtip-blue').remove();
+        	    });
+        			
+        	    $('.qtip-active .button.cancel').button().click(function(){
+        		meu_container.find(".button.new").qtip('destroy');
+        	    });
+        			
+        	    $(".qtip-active input").Watermark(typeCalendar.prompt);
+        			
+        	    $('.qtip-active').keydown(function(event) {
+        		    if (event.keyCode == '27') 
+        		      meu_container.find(".button.new").qtip('destroy');
+        	    });
+        			
+        	    $('.colors-options').prepend(buttons_colors);
+        	    $('.colors-options .signed-cal-colors-options-btn-0').addClass('color-selected');
+        					
+        	    var buttons = $('.cal-colors-options-btn').button();
+        			
+        	    buttons.click(function(){
+            		buttons.removeClass('color-selected');
+            		$(this).addClass('color-selected');
+        	    });
+        	}				
+	   }
     });
-	
+
     $("img.cal-list-img").click(function(evt) {
-	$(".cal-list-options_1").toggleClass( "hidden" );
+	   $(".cal-list-options_1").toggleClass( "hidden" );
     });
 
+    $(".my-groups-task a.title-my-calendars").click(function() {
+        $(".my-groups-task ul.my-list-calendars").toggleClass("hidden")
+        $('.my-groups-task .status-list').toggleClass("ui-icon-triangle-1-s");
+        $('.my-groups-task .status-list').toggleClass("ui-icon-triangle-1-e");
+    });
+
     $(".my-calendars a.title-my-calendars").click(function() {
-	$(".my-calendars ul.my-list-calendars").toggleClass("hidden")
-	$('.my-calendars .status-list').toggleClass("ui-icon-triangle-1-s");
-	$('.my-calendars .status-list').toggleClass("ui-icon-triangle-1-e");
+    	$(".my-calendars ul.my-list-calendars").toggleClass("hidden")
+    	$('.my-calendars .status-list').toggleClass("ui-icon-triangle-1-s");
+    	$('.my-calendars .status-list').toggleClass("ui-icon-triangle-1-e");
     });
 		
     $(".signed-calendars a.title-signed-calendars").click(function() {
-	$(".signed-calendars ul.signed-list-calendars").toggleClass( "hidden");
+	   $(".signed-calendars ul.signed-list-calendars").toggleClass( "hidden");
     });
 
@@ -2270,6 +2253,6 @@
 		
     $('.calendar-view').click(function(evt){
-	if($tabs.tabs('option' ,'selected') == 1){
-	    pageselectCallback('', 0);
+	if($tabs.tabs('option' ,'selected') != 0){
+	    pageselectCallback('', 0, false, type);
 	}
 			
@@ -2285,28 +2268,35 @@
 }
 
-function add_events_list(keyword)
+function add_events_list(keyword, type)
 {
     var tab_title = "";	
     if (keyword){
-	if(keyword.length < 10)
-	    tab_title = keyword; 
-	else
-	    tab_title = keyword.substr(0,10) + '..."'; 
+		type = 2;
+		if(keyword.length < 10)
+			tab_title = keyword; 
+		else
+			tab_title = keyword.substr(0,10) + '..."'; 
     }else{
-	tab_title = "Lista de eventos";
-    }
+		if(type){
+			if(!!parseInt(type))
+				tab_title = "Lista de tarefas";
+			else
+				tab_title = "Lista de eventos";
+		}
+    }
+	var tab_selector = ['tab_events_list_', 'tab_tasks_list_', 'tab_all_list_'];
     keyword = ( keyword || '' ).replace( /\s+/g, "_" );
 	
-    if(!(document.getElementById('tab_events_list_' + (Base64.encode(keyword)).replace(/[^\w\s]/gi, "") )))	
+    if(!(document.getElementById(tab_selector[type] + (Base64.encode(keyword)).replace(/[^\w\s]/gi, "") )))	
     {
 	Encoder.EncodeType = "entity";
-	$tabs.tabs( "add", "#tab_events_list_" + (Base64.encode(keyword)).replace(/[^\w\s]/gi, ""), Encoder.htmlEncode(tab_title) );
+	$tabs.tabs( "add", "#"+tab_selector[type] + (Base64.encode(keyword)).replace(/[^\w\s]/gi, ""), Encoder.htmlEncode(tab_title) );
     }
     else /* Tab already opened */
     {
-	$tabs.tabs("option", "selected", 2);
-    }
-	
-    pageselectCallback(keyword, 0); // load page 1 and insert data on event_list.ejs
+		//$tabs.tabs("option", "selected", 2);
+	}
+	
+    pageselectCallback(keyword, 0, false, type); // load page 1 and insert data on event_list.ejs
 	
     $('.preferences-win.active .button.save, .preferences-win.active .button.cancel, .preferences-win.active .button.import, .preferences-win.active .button.export').button();
@@ -2328,8 +2318,8 @@
 	if(paginator.indexOf('next') > 0){
 	    if(parseInt($(currentView+' [name = results]').val()) > 25)
-		pageselectCallback($(currentView+' [name = keyword]').val(), ((parseInt($(currentView+' [name = page_index]').val())) +1));
+		pageselectCallback($(currentView+' [name = keyword]').val(), ((parseInt($(currentView+' [name = page_index]').val())) +1), false,  2);
 	}else{
 	    if(parseInt($(currentView+' [name = page_index]').val()) > 0)
-		pageselectCallback($(currentView+' [name = keyword]').val(), ((parseInt($(currentView+' [name = page_index]').val())) -1));
+		pageselectCallback($(currentView+' [name = keyword]').val(), ((parseInt($(currentView+' [name = page_index]').val())) -1), false, 2);
 	}
     });
@@ -2369,6 +2359,6 @@
 }
 
-function paginatorList(currentView, view){
-    $(currentView+' .events-list.events-list-win.active .list-events-paginator .fc-header-title').html('<h2>'+mountTitleList( parseInt($('[name = page_index]').val()),view)+'</h2>');
+function paginatorList(currentView, view, type){
+    $(currentView+' .events-list.events-list-win.active .list-events-paginator .fc-header-title').html('<h2>'+mountTitleList( parseInt($(currentView+' [name = page_index]').val()),view)+'</h2>');
     $(currentView+' .events-list.events-list-win.active .header-paginator .fc-header-right .fc-button').removeClass('fc-state-active')
     if(view == 'basicDay')
